| ontogetobsolete

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get ontology ontology terms

## Description

ontogetobsolete displays on-screen for a named ontology all term statement(s) that are obsolete. The information may be written to an output file in various formats.

Ontologies from the EMBOSS data directory are used.

## Usage

Here is a sample session with ontogetobsolete

    % ontogetobsolete edam:alignment -subclasses
    Get ontology ontology terms
    Obo output file [1916.obo]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get ontology ontology terms
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outobo     [*.ontogetobsolete] Output ontology term
                                      file name

       Additional (Optional) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations
                                      (sub-classes) of the matched terms.

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.ontogetobsolete
Additional (Optional) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (sub-classes) of the matched terms. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### Database entry: edam:alignment

    [Term]
    id: EDAM_data:1916
    name: Alignment
    namespace: data
    def: An alignment of molecular sequences, structures or profiles derived from them.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:3031 ! Core data

    [Term]
    id: EDAM_topic:0083
    name: Alignment
    namespace: topic
    def: Topic concerning the alignment (equivalence between sites) of molecular sequences, structures or profiles (representing a sequence or structure alignment).
    subset: bioinformatics
    subset: edam
    subset: topics
    created_in: "beta12orEarlier"
    obsolete_since: "beta12orEarlier"
    is_obsolete: true
    consider: EDAM_topic:0182 ! Sequence alignment
    consider: EDAM_topic:0183 ! Structure alignment
    consider: EDAM_topic:0184 ! Threading

## Output file format

The default behaviour is to report the entire OBO term statement from the ontology. Optionally, then only the the term id, name and namespace, or just the term id will be reported.

The output file by default is in OBO plain text format as used by the ontologies in the EMBOSS data directory and explained at http://www.geneontology.org/GO.format.obo-1_2.shtml.

Optionally, the output can be in HTML, OBO-XML or JSON format.

### Output files for usage example

### File: 1916.obo

    [Term]
    id: EDAM_topic:0083
    name: Alignment
    namespace: topic
    def: Topic concerning the alignment (equivalence between sites) of molecular sequences, structures or profiles (representing a sequence or structure alignment).
    subset: bioinformatics
    subset: edam
    subset: topics
    created_in: "beta12orEarlier"
    obsolete_since: "beta12orEarlier"
    is_obsolete: true
    consider: EDAM_topic:0182 ! Sequence alignment
    consider: EDAM_topic:0183 ! Structure alignment
    consider: EDAM_topic:0184 ! Threading

## Data files

OBO-format ontologies must be installed in the EMBOSS data directory and indexed. This is done automatically for typical installations.

## Notes

## References

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontocount | Count ontology term(s)
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

This application was modified by Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None